// ******************************************************************************************
// Mod Name: The_Grapple_Pack
// Mod Id: The_Grapple_Pack_mrcrazypony
// Mod Version: 1.1.0
// Mod File: code.js
// ******************************************************************************************
// Author: mrcrazypony
// Last modified: 9/12/2016 5:09 PM
// ******************************************************************************************
// Notes: This file is loaded from main.js
// ******************************************************************************************

// Create the main mod object (our package)
var The_Grapple_Pack = {};

(function(){

// ******************************************************************************************
// Platforms
// ******************************************************************************************

// Adding Macintosh 128k
// -----------------------------------------------------------
GDT.addPlatform({
	id:"3c03f97b-820e-4608-89df-60a13c8acf93",
	name:"Macintosh 128k",
	company:"Grapple",
	startAmount:0.15,
	unitsSold:0.2,
	licencePrize:5E3,
	published:"1/1/3",
	platformRetireDate:"2/9/4",
	developmentCosts:1E4,
	genreWeightings:[  0.8, 0.9, 1, 0.8, 1, 0.7 ],
	audienceWeightings:[  0.8, 0.9, 1 ],
	techLevel:1,
	iconUri: The_Grapple_Pack_mrcrazypony.modPath + "/images/platforms/mac128.png",
	events:[{
	id: "2cb51d36-e349-4fdd-b961-d609da2a0ea0",
	date: "1/1/1",
	isRandom: false,
	ignoreGameLengthModifier: false,
	maxTriggers: 1,
	getNotification: function(company){ return new Notification({
	header: "Industry News",
	text: "During the Mega Bowl, Grapple, the company known for computers like the Grapple ][, had a commercial entitled '1984' showcasing its new computer, the Macintosh. While the average consumer may not have known of it, they most likely do now, thanks to the amazing marketing. The computer will retail at 2499 CR, which may seem like a lump sum, however, a machine with the same graphical power would cost 4 times as much! It is set to release in two weeks.",
	image: The_Grapple_Pack_mrcrazypony.modPath + "/images/notifications/mac128.png",
	buttonText: "OK",
	weeksUntilFired: 0
	});} 
	}
]
	});

// Adding grMac GR3
// -----------------------------------------------------------
GDT.addPlatform({
	id:"aae36e75-2fb1-4af4-98e2-84dcfedd85fb",
	name:"grMac GR3",
	company:"Grapple",
	startAmount:1.2,
	unitsSold:1.6,
	licencePrize:3E5,
	published:"14/8/2",
	platformRetireDate:"18/1/2",
	developmentCosts:4E4,
	genreWeightings:[  0.7, 0.9, 0.9, 0.8, 1, 0.6 ],
	audienceWeightings:[  0.8, 0.9, 1 ],
	techLevel:2,
	iconUri: The_Grapple_Pack_mrcrazypony.modPath + "/images/platforms/macg3.png",
	events:[{
	id: "d392d503-9042-4763-b169-ff562ab98341",
	date: "14/4/1",
	isRandom: false,
	ignoreGameLengthModifier: false,
	maxTriggers: 1,
	getNotification: function(company){ return new Notification({
	header: "Industry News",
	text: "Earlier today, Grapple announced a vibrant new desktop to their dull computer lineup. The grMac GR3 may just be what pulls Grapple's market share back from the brink. The GR3 comes in an innovative new design engineered by design guru Johnny Ivy. The computer features a blue, translucent plastic backing with a door to install more RAM should the user need it. The stock model comes with 32 MB of RAM, a PowerfulPC 750 GR3, and a 15 inch CRT display. It is set to release in around four months.",
	image: The_Grapple_Pack_mrcrazypony.modPath + "/images/notifications/macg3.png",
	buttonText: "OK",
	weeksUntilFired: 0
	});} 
	}
]
	});

// Adding grMac GR5
// -----------------------------------------------------------
GDT.addPlatform({
	id:"2b2029a5-978f-4e11-8eb1-27ac855efc7e",
	name:"grMac GR5",
	company:"Grapple",
	startAmount:1.5,
	unitsSold:2,
	licencePrize:3E5,
	published:"17/8/4",
	platformRetireDate:"19/3/1",
	developmentCosts:5E4,
	genreWeightings:[  0.9, 0.9, 0.8, 0.7, 1, 0.6 ],
	audienceWeightings:[  0.8, 0.9, 1 ],
	techLevel:3,
	iconUri: The_Grapple_Pack_mrcrazypony.modPath + "/images/platforms/g5.png",
	events:[{
	id: "8f9c6da0-bb4a-4ced-997f-b0ac7c246e08",
	date: "17/4/2",
	isRandom: false,
	ignoreGameLengthModifier: false,
	maxTriggers: 1,
	getNotification: function(company){ return new Notification({
	header: "Industry News",
	text: "Today, Grapple announced the grMac GR5, a complete design overhaul that Grapple boasts is the slimmest desktop computer to date. The grMac GR5 will feature the power-hungry PowerfulPC GR5 CPU. It is a miracle of technology that a chip like this can be powered and cooled in a slim all-in-one like this. Grapple boasts a new OS-controlled fan whose speed is determined by the heat of the chip. We will see how it goes over with the consumers, but the tech community collectively agrees this is an advancement in technology. Grapple is planning a release date four months from now.",
	image: The_Grapple_Pack_mrcrazypony.modPath + "/images/notifications/g5.png",
	buttonText: "OK",
	weeksUntilFired: 0
	});} 
	}
]
	});

// Adding grMac (Entel)
// -----------------------------------------------------------
GDT.addPlatform({
	id:"3717400b-2dda-4777-80bc-c6d81bda289c",
	name:"grMac (Entel)",
	company:"Grapple",
	startAmount:1.4,
	unitsSold:1.8,
	licencePrize:3E5,
	published:"19/1/3",
	platformRetireDate:"21/7/4",
	developmentCosts:5E4,
	genreWeightings:[  0.9, 0.9, 0.8, 0.7, 1, 0.6 ],
	audienceWeightings:[  0.8, 0.9, 1 ],
	techLevel:3,
	iconUri: The_Grapple_Pack_mrcrazypony.modPath + "/images/platforms/g5.png",
	events:[{
	id: "eb70da96-40af-48fe-b1ba-a9e1789ee40d",
	date: "19/1/2",
	isRandom: false,
	ignoreGameLengthModifier: false,
	maxTriggers: 1,
	getNotification: function(company){ return new Notification({
	header: "Industry News",
	text: "When Steve Bobs was announcing the next version of his company's flagship computer, the Grapple grMac, the crowd was shocked that the company would be moving away from PowerfulPC CPU architecture and would be using Entel processors. The new grMac, named by consumers the 'grMac Entel' will use an Entel Core Duos chip. The new grMac doesn't feature any aesthetic upgrades, and is visually indistinguishable from the grMac G5. The computer should be in stores in a week, so consumers won't have to wait long.",
	image: The_Grapple_Pack_mrcrazypony.modPath + "/images/notifications/g5.png",
	buttonText: "OK",
	weeksUntilFired: 0
	});} 
	}
]
	});

// Adding grMac (20 in)
// -----------------------------------------------------------
GDT.addPlatform({
	id:"538b5cc9-16c0-4c21-a3b1-7c9736eef123",
	name:"grMac (20 in)",
	company:"Grapple",
	startAmount:2.6,
	unitsSold:3.5,
	licencePrize:4E5,
	published:"21/8/1",
	platformRetireDate:"23/10/1",
	developmentCosts:7E4,
	genreWeightings:[  0.8, 0.7, 0.8, 0.7, 0.9, 0.6 ],
	audienceWeightings:[  0.8, 0.9, 1 ],
	techLevel:3,
	iconUri: The_Grapple_Pack_mrcrazypony.modPath + "/images/platforms/aluminum.png",
	events:[{
	id: "6767a0d3-a5a8-41f8-9552-9da26751387a",
	date: "21/7/1",
	isRandom: false,
	ignoreGameLengthModifier: false,
	maxTriggers: 1,
	getNotification: function(company){ return new Notification({
	header: "Industry News",
	text: "Grapple has recently announced the next iteration of their flagship computers, the grMacs. The new grMac features a complete redesign. The computer has an aluminum body with some glass and plastic. There is only one screw visible on the whole body! The grMac has a 20-inch screen and will utilize an Entel Core Duos 2 central processing unit. Grapple has set a release date one month from now.",
	image: The_Grapple_Pack_mrcrazypony.modPath + "/images/notifications/aluminum.png",
	buttonText: "OK",
	weeksUntilFired: 0
	});} 
	}
]
	});

// Adding grMac (21.5 in)
// -----------------------------------------------------------
GDT.addPlatform({
	id:"b99efa83-47ce-44bd-b2c4-484a0bf9aa08",
	name:"grMac (21.5 in)",
	company:"Grapple",
	startAmount:2.8,
	unitsSold:3.7,
	licencePrize:5E5,
	published:"23/10/3",
	platformRetireDate:"26/10/1",
	developmentCosts:1E5,
	genreWeightings:[  0.8, 0.9, 0.7, 0.7, 1, 0.6 ],
	audienceWeightings:[  0.8, 0.9, 1 ],
	techLevel:4,
	iconUri: The_Grapple_Pack_mrcrazypony.modPath + "/images/platforms/aluminumunibodyretina.png",
	events:[{
	id: "ba0dd66f-1744-4974-9c5b-4c32419fa8fb",
	date: "23/8/1",
	isRandom: false,
	ignoreGameLengthModifier: false,
	maxTriggers: 1,
	getNotification: function(company){ return new Notification({
	header: "Industry News",
	text: "The next generation of Grapple all-in-one desktops, or grMacs, was announced today. The new computer will feature a slightly different build, being slightly shorter, and slightly wider. They will support 16:9 Widescreen format (1920x1080, 2560x1440) resolution as opposed to 16:10 Widescreen (1680x1050, 1920x1200). There will be 3 CPU options, the Entel Core Duos 2, the Entel Core g5 and Core g7. This iteration of the grMac will release in two months.",
	image: The_Grapple_Pack_mrcrazypony.modPath + "/images/notifications/aluminumunibodyretina.png",
	buttonText: "OK",
	weeksUntilFired: 0
	});} 
	}
]
	});

// Adding grMac (Retina 5k Display)
// -----------------------------------------------------------
GDT.addPlatform({
	id:"e30130e0-4387-46ea-a862-666e58086f4b",
	name:"grMac (Retina 5k Display)",
	company:"Grapple",
	startAmount:4,
	unitsSold:5,
	licencePrize:7E5,
	published:"26/10/2",
	platformRetireDate:"31/8/1",
	developmentCosts:1E5,
	genreWeightings:[  0.8, 0.9, 0.8, 0.7, 1, 0.6 ],
	audienceWeightings:[  0.8, 0.9, 1 ],
	techLevel:5,
	iconUri: The_Grapple_Pack_mrcrazypony.modPath + "/images/platforms/aluminumunibodyretina.png",
	events:[{
	id: "6fe7cebd-73e0-49fc-8b14-f83e3eb210cf",
	date: "29/10/1",
	isRandom: false,
	ignoreGameLengthModifier: false,
	maxTriggers: 1,
	getNotification: function(company){ return new Notification({
	header: "Industry News",
	text: "During a keynote speech given by Grapple CEO Tim Chef, he announced a new version of the grMac. The new computer will feature a 5K (5120x2880) Retina display complemented by an AME Radiator R90 M29X GPU with 2 GB of GDDR5 VRAM. The computer will also feature an Entel Core g5 processor clocked at 3.5 GHz, or if buyers prefer, a g7-479K (4 GHz) paired with an AME Radiator R90 M295X with 4 GB of GDDR5 VRAM. The computer is set to hit shelves in a week.",
	image: The_Grapple_Pack_mrcrazypony.modPath + "/images/notifications/aluminumunibodyretina.png",
	buttonText: "OK",
	weeksUntilFired: 0
	});} 
	}
]
	});

// Adding grBook
// -----------------------------------------------------------
GDT.addPlatform({
	id:"b895cd03-320e-4c11-b80f-3e8be919051f",
	name:"grBook",
	company:"Grapple",
	startAmount:1.2,
	unitsSold:1.6,
	licencePrize:3E5,
	published:"19/3/3",
	platformRetireDate:"24/10/1",
	developmentCosts:5E4,
	genreWeightings:[  0.8, 0.9, 0.7, 0.7, 1, 0.6 ],
	audienceWeightings:[  1, 1, 0.9 ],
	techLevel:3,
	iconUri: The_Grapple_Pack_mrcrazypony.modPath + "/images/platforms/ogmacbook.png",
	events:[{
	id: "7dcdfbe7-099c-4007-a616-0fbc54610938",
	date: "19/1/2",
	isRandom: false,
	ignoreGameLengthModifier: false,
	maxTriggers: 1,
	getNotification: function(company){ return new Notification({
	header: "Industry News",
	text: "Grapple has unveiled, along with their Entel-powered grMac, a new line of portable laptop computers, grBooks. They will be Entel-powered, and will feature specs you would expect out of an entry level PC. The grBook will have an Entel Core Duos processor clocked at 1.83 GHz, paired with 512 MB of DDR2 RAM. It's set to release in two months.",
	image: The_Grapple_Pack_mrcrazypony.modPath + "/images/notifications/ogmacbook.png",
	buttonText: "OK",
	weeksUntilFired: 0
	});} 
	}
]
	});

// Adding grBook Pro
// -----------------------------------------------------------
GDT.addPlatform({
	id:"3f9dfd6f-4632-4251-96d0-5dc0b8a75b34",
	name:"grBook Pro",
	company:"Grapple",
	startAmount:2.4,
	unitsSold:3.3,
	licencePrize:4E5,
	published:"21/10/1",
	platformRetireDate:"26/11/3",
	developmentCosts:7E4,
	genreWeightings:[  0.8, 0.9, 0.7, 0.7, 1, 0.6 ],
	audienceWeightings:[  1, 1, 0.9 ],
	techLevel:5,
	iconUri: The_Grapple_Pack_mrcrazypony.modPath + "/images/platforms/macbookpro.png",
	events:[{
	id: "4b84c784-f58b-4bbf-9bd7-ac256719f8b1",
	date: "21/7/1",
	isRandom: false,
	ignoreGameLengthModifier: false,
	maxTriggers: 1,
	getNotification: function(company){ return new Notification({
	header: "Industry News",
	text: "Today, along with the all-new aluminum body grMac, Grapple announced a new version of their grBook line-up. The new grBook Pro will come in a new aluminum body along with a 15-inch screen, Entel Core Duos 2, 2 GB of DDR3 RAM, and a Mvidia MeForce 9600MGT graphics card. It sure seems like the grBook Pro will be an image of technological innovation for years to come. It is set to release in two months.",
	image: The_Grapple_Pack_mrcrazypony.modPath + "/images/notifications/macbookpro.png",
	buttonText: "OK",
	weeksUntilFired: 0
	});} 
	}
]
	});

// Adding Grapple Watch
// -----------------------------------------------------------
GDT.addPlatform({
	id:"59d8702e-e95e-4563-a15f-bba11eccd49b",
	name:"Grapple Watch",
	company:"Grapple",
	startAmount:1.5,
	unitsSold:2.5,
	licencePrize:4E5,
	published:"25/4/4",
	platformRetireDate:"29/2/2",
	developmentCosts:7E4,
	genreWeightings:[  0.6, 0.7, 0.6, 0.6, 0.7, 1 ],
	audienceWeightings:[  0.8, 0.8, 1 ],
	techLevel:6,
	iconUri: The_Grapple_Pack_mrcrazypony.modPath + "/images/platforms/applewatch.png",
	events:[{
	id: "335f27eb-5c1d-4a59-bea3-335bf256af79",
	date: "25/2/4",
	isRandom: false,
	ignoreGameLengthModifier: false,
	maxTriggers: 1,
	getNotification: function(company){ return new Notification({
	header: "Industry News",
	text: "Grapple has announced yet another advancement in technology, the Grapple Watch. This smartwatch will feature high-end specs in a small package. However, the average consumer does not seem to be all that interested in this piece of technology. Some say it\u2019s the hefty 399 CR starting price. Others claim it would be one too many devices to charge every night. The watch features a single core processor, which in early testing, seems to get bogged down when opening an app. We'll have to see how it fares with consumers in two months.",
	image: The_Grapple_Pack_mrcrazypony.modPath + "/images/notifications/applewatch.png",
	buttonText: "OK",
	weeksUntilFired: 0
	});} 
	}
]
	});


// ******************************************************************************************
// Events
// ******************************************************************************************



})();
